#include<bits/stdc++.h>

using namespace std;

bool b[30000005];

vector<int> solve(vector<int> a) {
    vector<int> ans;
    for(int i=0;i<a.size();i++) {
        int a1=a[i];
        if(b[a1]==false) {
            ans.push_back(a1);
            b[a1]=true;
        }
    }
    //for(int i=0;i<ans.size();i++) {
       // ans.push_back(ans[i]);
    //}
    return ans;
}
